/* You can add global styles to this file, and also import other style files */
@import "~codemirror/lib/codemirror";
@import "app/commons/utilities/variables.scss";
@import "bootstrap";

.btn-primary {
	@include button-variant(
		$color-blue,
		darken($color-blue, 7.5%),
		darken($color-blue, 10%),
		lighten($color-blue, 5%),
		lighten($color-blue, 10%),
		darken($color-blue, 30%)
	);
}

.btn-outline-primary {
	@include button-outline-variant($color-blue, $color-blue, $color-white, $color-blue);
}

.btn:disabled {
	cursor: not-allowed;
}

.modal-footer button {
	font-size: 15px;
}

.btn-blue {
	color: #fff !important;
	background-color: #007bff;
	text-shadow: none;
	border: 1px solid #d1d4d8;
	border-radius: 0.4rem;
	font-size: 14px;
	font-weight: 500;
	padding: 6px 15px 10px 15px;
	margin: 5px;
	text-decoration: none;
	cursor: pointer;
	position: absolute;
	height: 35px;
	right: 25px;
	transition: color 0.2s, border 0.2s;
	&:hover {
		background-color: #0079ce;
		border: 1px solid #0d86de;
	}
}

.card {
	margin: 10px 0px;
}

.container {
	padding: 0 !important;
	margin: 0 !important;
	width: 100%;
	max-width: 100%;
	overflow-x: hidden;
	overflow-y: auto;
	&.container-80 {
		width: 80%;
		max-width: 80%;
		margin: 0px auto !important;
	}
}

.traceback-col {
	max-height: 200px;
	overflow-y: scroll;
	word-break: break-all;
	min-width: 480px;
}

.result-element {
	background-color: #ececec;
	padding: 5px 15px;
	border-radius: 4px;
	margin: 8px;
	display: inline-block;
	font-size: 13px;
}

.status-text {
	margin-top: 230px;
}

.text-thead {
	font-size: 15px;
}

.row-card {
	margin: 0 10px;
}

.pipeline-title {
	font-size: 19px;
	font-weight: bold;
}

.cur-point {
	cursor: pointer;
}

html,
body {
	height: 100%;
}
body {
	margin: 0;
	font-family: Roboto, "Helvetica Neue", sans-serif, Arial, "Helvetica Neue";
	background-color: #f7f9fa;
}

.main-header {
	position: fixed;
	width: 100%;
	z-index: 100;
	top: 0;
	left: 0;
	right: 0;
}

.nav-bar-full-page {
	width: 100%;
	.row {
		height: 100%;
	}
}

.full-page {
	margin-top: $header-height;
	top: 0;
	height: calc(100% - #{$header-height});
	&.no-margin {
		margin-top: 0px !important;
		height: 100% !important;
	}
}

.document-container {
	max-height: 100vh;
	overflow-y: scroll;
	min-height: 500px;
}
